org.eclipse.oomph.p2

## Interface RepositoryList

- All Superinterfaces:
    EObject, ModelElement, Notifier
  All Known Implementing Classes:
    RepositoryListImpl

      public interface RepositoryList
      extends ModelElement

  A representation of the model object 'Repository List'.

  The following features are supported:

  - `Repositories`
  - `Name`
  See Also:
    `P2Package.getRepositoryList()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns the value of the 'Name' attribute.
    `EList<Repository>` | `getRepositories()` Returns the value of the 'Repositories' containment reference list.
    `void` | `setName(String value)` Sets the value of the '`Name`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getRepositories

          EList<Repository> getRepositories()

      Returns the value of the 'Repositories' containment reference list. The list contents are of type `Repository`.

      If the meaning of the 'Repositories' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Repositories' containment reference list.
      See Also:
        `P2Package.getRepositoryList_Repositories()`
      Generated
      Model
        containment="true" extendedMetaData="name='repository'"

    - #### getName

          String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `P2Package.getRepositoryList_Name()`
      Generated
      Model

    - #### setName

          void setName(String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html